#include <iostream>
#define MAXN 30010
#define MAXAB 1000000555
using namespace std;
long long A[MAXN], B[MAXN];
int i=0,xd=0;
long long zamena(const int N, long long a[MAXN], long long b[MAXN], int xd) {
    for(int i=i; i<i+1; i++) {
        if(a[i]!=b[i]) {
            int temp=0;
            temp=0-a[i];
            a[i]=0-a[i+1];
            a[i+1]=temp;
        } else break;
    }
    if(a[i]==b[i]) {
        if(i==N) {
            xd=1;
        } else {
            i++;
            return zamena(N,&a[MAXN],&b[MAXN],xd);
        }
    } else {
        xd=0;
    }
}
int main()
{
    int t; cin>>t;
    while(t--) {
        int n; cin>>n;
        for(int i=0; i<n; i++) cin>>A[i];
        for(int i=0; i<n; i++) cin>>B[i];
        int i=0,xd=0;
        zamena(n, &A[i], &B[i],xd);
        if(xd==1) {
            cout<<"DA";
        } else {
            cout<<"NE";
        }
    }
    return 0;
}